Package jakarta.security.auth.message

# Class AuthException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.security.auth.login.LoginException
jakarta.security.auth.message.AuthException

All Implemented Interfaces:
  `Serializable`

public class AuthException extends LoginException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthException()`
  `AuthException(String msg)`
  `AuthException(String msg, Throwable cause)`
  Construct an instance of AuthException.
  `AuthException(Throwable cause)`
  Construct an instance of AuthException.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuthException

    public AuthException()

  - ### AuthException

    public AuthException(String msg)

  - ### AuthException

    public AuthException(String msg, Throwable cause)
    Construct an instance of AuthException.
    Parameters:
      `msg` - Exception message
      `cause` - The cause of the exception
    Since:
      Authentication 3.0

  - ### AuthException

    public AuthException(Throwable cause)
    Construct an instance of AuthException.
    Parameters:
      `cause` - The cause of the exception
    Since:
      Authentication 3.0